-- LISTING 1: Set Up the Linked Servers on Node1

-- Run on Node1 - SQLHASP1\SQLDEV01
:CONNECT SQLHASP1\SQLDEV01
GO

-- Step 1: Set up two linked servers on Node1
USE master
GO
-- Define the connection to SQLHASP1\SQLDEV02, call it Node2
EXEC sp_addlinkedserver
  @server='Node2',
  @srvproduct='',
  @provider='SQLNCLI',
  @datasrc='SQLHASP1\SQLDEV02'

-- Define the connection to SQLHASP1\SQLEXPRESS, call it Node3
EXEC sp_addlinkedserver
  @server='Node3',
  @srvproduct='',
  @provider='SQLNCLI',
  @datasrc='SQLHASP1\SQLEXPRESS'
GO

-- Postpone requesting meta data until data is actually needed
EXEC sp_serveroption 'Node2', 'lazy schema validation', true
EXEC sp_serveroption 'Node3', 'lazy schema validation', true
GO

